Package com.independentsoft.office.spreadsheet.pivotTables

# Class PivotChartFormat

java.lang.Object
com.independentsoft.office.spreadsheet.pivotTables.PivotChartFormat

public class PivotChartFormat extends Object
The Class PivotChartFormat.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PivotChartFormat()`
  Instantiates a new pivot chart format.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `PivotChartFormat`
  `clone()`
  `int`
  `getChartIndex()`
  Gets the chart index.
  `int`
  `getFormatID()`
  Gets the format id.
  `boolean`
  `isSeriesFormat()`
  Checks if is series format.
  `void`
  `setChartIndex​(int chartIndex)`
  Sets the chart index.
  `void`
  `setFormatID​(int formatID)`
  Sets the format id.
  `void`
  `setSeriesFormat​(boolean seriesFormat)`
  Sets the series format.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### PivotChartFormat

    public PivotChartFormat()
    Instantiates a new pivot chart format.

- ## Method Details

  - ### clone

    public PivotChartFormat clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getChartIndex

    public int getChartIndex()
    Gets the chart index.
    Returns:
      the chart index

  - ### setChartIndex

    public void setChartIndex​(int chartIndex)
    Sets the chart index.
    Parameters:
      `chartIndex` - the new chart index

  - ### getFormatID

    public int getFormatID()
    Gets the format id.
    Returns:
      the format id

  - ### setFormatID

    public void setFormatID​(int formatID)
    Sets the format id.
    Parameters:
      `formatID` - the new format id

  - ### isSeriesFormat

    public boolean isSeriesFormat()
    Checks if is series format.
    Returns:
      true, if is series format

  - ### setSeriesFormat

    public void setSeriesFormat​(boolean seriesFormat)
    Sets the series format.
    Parameters:
      `seriesFormat` - the new series format